<?php
/**
 * Custom stylesheet
 *
 * @package Showme
 */

function vs_inline_styles() {

  $inline_styles = '';

  $design_primary_color = get_theme_mod( 'design_primary_color', '#8cc152' );
  if ( '#8cc152' !== $design_primary_color ) {
    $inline_styles .= '
a,

a:hover,
a:focus,
a:active,

.site-title a,

.main-navigation .menu >li >a:hover,
.main-navigation .menu >li >a:focus,

.main-navigation .menu >li ul li a:hover,
.main-navigation .menu >li ul li a:focus,

.responsive-nav >li a:hover,
.responsive-nav >li a:focus,

.entry-header .entry-title a:hover,

.entry-meta-inner a:hover,
.entry-meta-inner a:focus,

.entry-content .more-link:hover,
.entry-content .more-link:focus,

.entry-more a:hover,
.entry-more a:focus,

.about-author-name a:hover,

.widget li a:hover,

.site-info-inner a:hover,
.site-info-inner a:focus {
  color: '.$design_primary_color.';
}

button,
input[type="button"],
input[type="reset"],
input[type="submit"],

.widget_tag_cloud a:hover,

.pagination .nav-links a:hover,
.pagination .nav-links a:focus,

.pagination .nav-links .current,

.vs-scroll-to-top {
  background-color: '.$design_primary_color.';
}

blockquote,

input[type="text"]:focus,
input[type="email"]:focus,
input[type="url"]:focus,
input[type="password"]:focus,
input[type="search"]:focus,
input[type="number"]:focus,
input[type="tel"]:focus,
input[type="range"]:focus,
input[type="date"]:focus,
input[type="month"]:focus,
input[type="week"]:focus,
input[type="time"]:focus,
input[type="datetime"]:focus,
input[type="datetime-local"]:focus,
input[type="color"]:focus,
textarea:focus,

.entry-content .more-link:hover,
.entry-content .more-link:focus,

.entry-more a:hover,
.entry-more a:focus {
  border-color: '.$design_primary_color.';
}
    ';
  }

  wp_add_inline_style( 'vs-styles', $inline_styles );
}
add_action( 'wp_enqueue_scripts', 'vs_inline_styles' );
