<?php
/**
 * Post Meta Helper Functions
 *
 * @package Showme
 */

if ( ! function_exists( 'vs_get_meta_categorys' ) ) {
  /**
   * Сategory
   */
  function vs_get_meta_categorys() {
    $category_list = get_the_category_list(' ');
    if ( $category_list ) {
      ?>
      <span class="meta-category"><?php echo $category_list; ?></span>
      <?php
    }
  }
}

if ( ! function_exists( 'vs_get_meta_date' ) ) {
  /**
   * Date
   */
  function vs_get_meta_date() {
    ?>
    <span class="meta-date"><?php echo get_the_date(); ?></span>
    <?php
  }
}

if ( ! function_exists( 'vs_get_meta_author' ) ) {
  /**
   * Author
   */
  function vs_get_meta_author() {
    ?>
    <span class="meta-author"><?php echo esc_html__( 'by', 'showme' );?><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>"><?php echo esc_html( get_the_author() ); ?></a></span>
    <?php
  }
}

if ( ! function_exists( 'vs_get_meta_comments' ) ) {
  /**
   * Comments
   */
  function vs_get_meta_comments() {
    if ( ! comments_open() ) {
      return;
    }
    ?>
    <span class="meta-comments"><?php comments_popup_link( esc_html__( 'No Comments', 'showme' ), esc_html__( '1 Comment', 'showme' ), '% ' . esc_html__( 'Comments', 'showme' ), 'comments-link', '' ); ?></span>
    <?php
  }
}

if ( ! function_exists( 'vs_get_meta_tags' ) ) {
  /**
   * Tags
   */
  function vs_get_meta_tags() {
    $tags_list = get_the_tag_list();
    if ( $tags_list ) {
      ?>
      <span class="meta-tags"><?php echo esc_html__( 'Tagged', 'showme' );?><?php echo $tags_list; ?></span>
      <?php
    }
  }
}
