<?php
/**
 * The template for displaying blog posts with pagination and sidebar
 *
 * @package Showme
 */

$archive_sidebar = get_theme_mod( 'archive_sidebar', 'right' );
if ( is_404() ) { $archive_sidebar = 'disabled'; }
?>
<div class="site-content sidebar-<?php echo esc_attr( $archive_sidebar ); ?>">
  <div class="vs-container">
    <div id="content" class="main-content">
      <div id="primary" class="content-area">
        <main id="main" class="site-main">
        <?php
        get_template_part( 'template-parts/page-header' );
        
        if ( have_posts() ) {
          ?>
          <div class="post-archive">
            <div class="archive-wrap">
              <div class="archive-main archive-full">
              <?php
              while ( have_posts() ) {
                the_post();
                get_template_part( 'template-parts/content-archive' );
              }
              ?>
              </div>
            </div>
          </div>

          <?php
            } else {
            ?>

          <?php if ( is_search() ) {?>
          <div class="entry-content content-not-found">
            <h3><?php esc_html_e( 'Nothing found', 'showme' ); ?></h3>
            <p><?php esc_html_e( 'Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'showme' ); ?></p>
          </div>
          <?php } ?>

          <?php if ( is_404() ) {?>
          <div class="entry-content content-not-found page-404">
            <h2><?php esc_html_e( 'Oops... Error 404', 'showme' ); ?></h1>
            <h3><?php esc_html_e( 'We are sorry, but the page you are looking for does not exist.', 'showme' ); ?></h2>
            <p><?php printf( __( 'Please check entered address and try again or go to <a href="%1$s" rel="home"><strong>homepage</strong></a>.', 'showme' ), esc_url( home_url( '/' ) ) ); ?></p>
          </div>
          <?php } ?>
          
          <?php
        }
        ?>

            </main>

      <?php
            if ( have_posts() ) :
              if (get_theme_mod('blog_pagination') == 'navigation') {
                vs_posts_navigation();
              } else {
                vs_posts_pagination();
              }
            endif;
      ?>

          </div>


      <?php
      if ( 'disabled' !== $archive_sidebar ) {
        get_sidebar(); 
      }
      ?>
    </div>
  </div>
</div>
