<?php
/**
 * Template part for displaying posts
 *
 * @package Showme
 */

$blog_images_hover_effects = get_theme_mod( 'blog_images_hover_effects', 0 );

$orientation = "";
if( $blog_images_hover_effects ){
  $orientation = "vs-overlay-hover";
}
?>
<article <?php post_class( 'post-full' ); ?>>
  <div class="post-outer">

    <?php
    if ( has_post_thumbnail() ) {
    ?>
    <div class="post-inner">
      <div class="post-media">
        <div class="vs-overlay <?php echo esc_attr( $orientation ); ?>">
          <div class="vs-overlay-background">
            <?php the_post_thumbnail(); ?>
          </div>
          <a href="<?php the_permalink(); ?>" class="vs-overlay-link"></a>
        </div>
      </div>
    </div>
    <?php
    }
    ?>

    <div class="post-inner">

      <header class="entry-header">
        <h2 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
      </header>

      <?php
      $homepage_author = get_theme_mod( 'homepage_author', 1 );
      $homepage_date = get_theme_mod( 'homepage_date', 1 );
      $homepage_categorys = get_theme_mod( 'homepage_categorys', 1 );
      if ( $homepage_author || $homepage_date || $homepage_categorys ) {
      ?>
      <div class="entry-meta">
        <div class="entry-meta-inner">
          <?php
          if ( $homepage_author ) { vs_get_meta_author(); }
          if ( $homepage_date ) { vs_get_meta_date(); }
          if ( $homepage_categorys ) { vs_get_meta_categorys(); }
          ?>
        </div>
      </div>
      <?php
      }
      ?>

      <?php
      $homepage_summary = get_theme_mod( 'homepage_summary', 'excerpt' );
      $homepage_read_more = get_theme_mod( 'homepage_read_more', 0 );
      if ( 'excerpt' === $homepage_summary ) {
        ?>
        <div class="entry-excerpt">
          <?php echo wp_kses( get_the_excerpt(), 'post' ); ?>
        </div>
        <?php
        if ( $homepage_read_more ) {
        ?>
        <div class="entry-more">
          <a href="<?php echo esc_url( get_permalink() ); ?>">
            <?php echo esc_html( get_theme_mod( 'misc_label_readmore', __( 'Read More', 'showme' ) ) ); ?>
          </a>
        </div>
        <?php
        }
      } else {
        ?>
        <div class="entry-content">
          <?php
          $more_link_text = false;
          if ( $homepage_read_more ) {
            $more_link_text = sprintf(
              __( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'showme' ),
              get_the_title()
            );
          }
          the_content( $more_link_text );
          ?>
        </div>
        <?php
      }
      ?>

    </div>
  </div>
</article>
