<?php
/**
 * The template part for displaying header layout.
 *
 * @package Showme
 */

?>
<div class="vs-container">

  <div class="site-branding clearfix">
    <div class="site-branding-logo">
      <?php the_custom_logo();?>
      <?php if ( !get_theme_mod( 'header_title' )):?>
        <div class="site-branding-title">
          <h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>

          <?php $description = get_bloginfo( 'description', 'display' );
          if ( $description || is_customize_preview() ) : ?>
            <p class="site-description"><?php echo $description;?></p>
          <?php endif; ?>
        </div>
      <?php endif;?>
    </div>

    <nav id="site-navigation" class="main-navigation">
      <?php
        if (has_nav_menu('primary')) {
          wp_nav_menu( array(
            'theme_location' => 'primary',
            'container' => 'nav',
            'menu_class' => 'menu hidden-sm hidden-xs',
          ) );
        }
      ?>
    </nav>

    <button class="menu-toggle navbar-toggle toggle-offcanvas" data-toggle="collapse" data-target="#main-navigation-collapse"><i class="vs-icon vs-icon-bars"></i></button>
  </div>
</div>
