<?php
/**
 * The template for displaying blog posts with pagination and sidebar
 *
 * @package Showme
 */

$homepage_sidebar = get_theme_mod( 'homepage_sidebar', 'right' );
if ( ! have_posts() ) { $homepage_sidebar = 'disabled'; }
?>
<div class="site-content sidebar-<?php echo esc_attr( $homepage_sidebar ); ?>">
  <div class="vs-container">
    <div id="content" class="main-content">
      <div id="primary" class="content-area">
        <main id="main" class="site-main">
        <?php
        if ( have_posts() ) {
          ?>
          <div class="post-archive">
            <div class="archive-wrap">
              <div class="archive-main archive-full">
              <?php 
              while ( have_posts() ) {
                the_post();

                get_template_part( 'template-parts/content-homepage' );

              }
              ?>
              </div>
            </div>
          </div>
            <?php
        } else {
          ?>

          <div class="entry-content content-not-found">
            <h3><?php esc_html_e( 'Nothing found', 'showme' ); ?></h3>
            <?php if ( current_user_can( 'publish_posts' ) ) { ?>
              <p><?php printf( __( 'Ready to publish your first post? <a href="%1$s">Get started here</a>.', 'showme' ), esc_url( admin_url( 'post-new.php' ) ) ); ?></p>
            <?php } else { ?>
              <p><?php esc_html_e( 'It seems we can&rsquo;t find what you&rsquo;re looking for.', 'showme' ); ?></p>
            <?php } ?>
          </div>

          <?php
        }
        ?>

            </main>

      <?php
            if ( have_posts() ) :
              if (get_theme_mod('blog_pagination') == 'navigation') {
                vs_posts_navigation();
              } else {
                vs_posts_pagination();
              }
            endif;
      ?>

          </div>

      <?php
      if ( 'disabled' !== $homepage_sidebar ) {
        get_sidebar(); 
      }
      ?>
    </div>
  </div>
</div>
